Bug 22626 - 'Filter paid transactions' broken on Transactions tab in staff
Summary: 'Filter paid transactions' broken on Transactions tab in staff
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-03 11:53 UTC by Katrin Fischer
Modified: 2019-04-16 21:49 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22626: 'Filter paid transactions' broken on Transactions tab in staff (1.55 KB, patch)
2019-04-09 16:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22626: 'Filter paid transactions' broken on Transactions tab in staff (1.60 KB, patch)
2019-04-09 17:25 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22626: 'Filter paid transactions' broken on Transactions tab in staff (1.66 KB, patch)
2019-04-09 18:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-04-03 11:53:56 UTC
The filter on the 'Transactions' tab is no longer working. Clicking on it will change the text, but the table will not be fltered.

To test:
- Go to an account with some paid and unpaid fines and fees
- Go to Accounting tab
- Click filter link on top of Transactions table
- Verify nothing happens

I couldn't spot a Javascript error in the console.
Comment 1 Owen Leonard 2019-04-09 16:10:45 UTC
Created attachment 87618 [details] [review]
Bug 22626: 'Filter paid transactions' broken on Transactions tab in staff

This patch changes a parameter in the function which filters the
DataTable of transactions. The addition of more columns to the table
changed the index of the column which is being filtered.

To test, apply the patch and locate a patron who has multiple fines or
charges, some of them paid. Go to Accounting -> Transactions. Test the
"Filter paid transactions" link. Table rows which show "0.00" in the
"Oustanding" column should be hidden.
Comment 2 Liz Rea 2019-04-09 17:25:40 UTC
Created attachment 87655 [details] [review]
Bug 22626: 'Filter paid transactions' broken on Transactions tab in staff

This patch changes a parameter in the function which filters the
DataTable of transactions. The addition of more columns to the table
changed the index of the column which is being filtered.

To test, apply the patch and locate a patron who has multiple fines or
charges, some of them paid. Go to Accounting -> Transactions. Test the
"Filter paid transactions" link. Table rows which show "0.00" in the
"Oustanding" column should be hidden.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Katrin Fischer 2019-04-09 18:40:22 UTC
Created attachment 87665 [details] [review]
Bug 22626: 'Filter paid transactions' broken on Transactions tab in staff

This patch changes a parameter in the function which filters the
DataTable of transactions. The addition of more columns to the table
changed the index of the column which is being filtered.

To test, apply the patch and locate a patron who has multiple fines or
charges, some of them paid. Go to Accounting -> Transactions. Test the
"Filter paid transactions" link. Table rows which show "0.00" in the
"Oustanding" column should be hidden.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-11 13:58:05 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-15 12:25:17 UTC
Pushed to 18.11.x for 18.11.05
Comment 6 Lucas Gass 2019-04-16 21:49:36 UTC
I don't think 18.05.x need this as that functionality works fine. Adding the patch breaks it. Not backporting.